KDE 4.2 PyKDE API Reference

- KDE's Python API

# ItemFont Class Reference

`from PyKDE4.kdeui import *`

Inherits: KConfigSkeletonItem
Namespace: KConfigSkeleton

## Detailed Description

## Methods

| __init__ (self, QString _group, QString _key, QFont reference, QFont defaultValue=QFont())
bool | isEqual (self, QVariant p)
QVariant | property (self)
| readConfig (self, KConfig config)
| setProperty (self, QVariant p)

## Method Documentation

__init__ | ( | self, |
|  | QString | _group,
|  | QString | _key,
|  | QFont | reference,
|  | QFont | defaultValue=QFont()
| ) |  |  |

KConfigSkeletonGenericItem.KConfigSkeletonGenericItem

bool isEqual | ( | self, |
|  | QVariant | p
| ) |  |  |

KConfigSkeletonItem.isEqual(const QVariant &)

QVariant property | ( |  | self ) |

KConfigSkeletonItem.property()

readConfig | ( | self, |
|  | KConfig | config
| ) |  |  |

KConfigSkeletonItem.readConfig(KConfig*)

setProperty | ( | self, |
|  | QVariant | p
| ) |  |  |

KConfigSkeletonItem.setProperty(const QVariant&)